Subject: [conex] FW: New Version Notification for draft-moncaster-conex-concepts-uses-01

From: "Toby Moncaster" <[email-masked]>
Date: Mon, 12 Jul 2010 18:12:36 +0100

All,

I have now posted a -01 version of this Internet Draft. The HTML can be found here:

http://www.moncaster.com/conex/draft-moncaster-conex-concepts-uses-01.html

There are some significant changes from version 00 which I hope improve the readability. Thanks especially to Dirk Kutscher for his advice...

I haven't generated a diff because the structure has altered so much that it would be rather messy...

I think this is ready for Working Group adoption. Do people agree? If so can we ask the WG Chairs to ask for adoption at the Maastricht meeting?

I accept that there are still issues round the language used in the Introduction and Abstract. However these require more discussion on the mailing list and need working-group consensus (which I am not sure exists yet). That seems to me the sort of thing that should happen after WG adoption...

Toby

> -----Original Message-----
> From: IETF I-D Submission Tool [mailto:[email-masked]]
> Sent: 12 July 2010 18:02
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: New Version Notification for draft-moncaster-conex-concepts-
> uses-01
> 
> 
> A new version of I-D, draft-moncaster-conex-concepts-uses-01.txt has
> been successfully submitted by Toby Moncaster and posted to the IETF
> repository.
> 
> Filename:	 draft-moncaster-conex-concepts-uses
> Revision:	 01
> Title:		 ConEx Concepts and Use Cases
> Creation_date:	 2010-07-12
> WG ID:		 Independent Submission
> Number_of_pages: 29
> 
> Abstract:
> Internet Service Providers (ISPs) are facing problems where localized
> congestion prevents full utilization of the path between sender and
> receiver at today's "broadband" speeds.  ISPs desire to control this
> congestion, which often appears to be caused by a small number of
> users consuming a large amount of bandwidth.  Building out more
> capacity along all of the path to handle this congestion can be
> expensive and may not result in improvements for all users so network
> operators have sought other ways to manage congestion.  The current
> mechanisms all suffer from difficulty measuring the congestion (as
> distinguished from the total traffic).
> 
> The ConEx Working Group is designing a mechanism to make congestion
> along any path visible at the Internet Layer.  This document
> describes example cases where this mechanism would be useful.
> 
> 
> 
> The IETF Secretariat.

---

From: Bob Briscoe <[email-masked]>
Date: Mon, 12 Jul 2010 23:06:09 +0100

Toby (and co-authors / co-editor),

Thanks for pulling this together and, as always, steering a path 
between everyone's slightly differing views.

I agree that it's looking good for WG adoption, but it's for the w-g 
to decide that now, and for the chairs to decide whether to make the 
call in Maastricht.

As to what to do with the text next, I think the IESG will want a 
little more detail on each use-case in S.8. We can work on that.

A couple of co-authors (myself included) have suggested another 
use-case focused on the network operator using ConEx information to 
decide where to upgrade capacity, given the various monitoring / 
policing elements imply any queue won't be congested often unless 
there's real demand for more capacity there.

BTW, I don't think it's wrong to have a decent proportion of the doc 
devoted to architectural elements. I suspect some on the IESG will 
interpret the term 'usage scenarios' in the charter as ways ConEx 
info is used, and others will also expect this to include 'the 
arrangement of the network to be able to use this info'. Still others 
will want to see something about how deployment gets started, so the 
doc has elements to satisfy all these needs.

Actually, it would be worth saying some variant of the previous para 
at the end of the introduction, as a way to introduce the structure 
of the doc and to justify why all the material in it is relevant to 
the chartered requirement.

Cheers and thanks again.

Bob

At 18:12 12/07/2010, Toby Moncaster wrote:
>There are some significant changes from version 00 which I hope 
>improve the readability. Thanks especially to Dirk Kutscher for his advice...
>
>I think this is ready for Working Group adoption. Do people agree? 
>If so can we ask the WG Chairs to ask for adoption at the Maastricht meeting?
>
>I accept that there are still issues round the language used in the 
>Introduction and Abstract. However these require more discussion on 
>the mailing list and need working-group consensus (which I am not 
>sure exists yet). That seems to me the sort of thing that should 
>happen after WG adoption...
>
>Toby
>
>_______________________________________________
>conex mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/conex

________________________________________________________________
Bob Briscoe,                                BT Innovate & Design

---

From: Zhu Lei <[email-masked]>
Date: Tue, 13 Jul 2010 10:02:10 +0800

Hi Toby and all,

I understood you are asking rough consensus of reversion 01. I have to say
that the access networks can adjust capacity of each user based on the
congestion indications. I personally thought congestion indication is
helpful for intermediate nodes of access networks which is capable to
monitoring capacity and traffic load.

So, if there is only one document containning such use cases, I'd like to
ask more time for including other use case mentioned in ML.

Best regards,
Zhu Lei
HUAWEI TECHNOLOGIES CO.,LTD.  huawei_logo

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 代表 Toby
Moncaster
发送时间: 2010年7月13日 1:13
收件人: [email-masked]
主题: [conex] FW: New Version Notification
fordraft-moncaster-conex-concepts-uses-01

All,

I have now posted a -01 version of this Internet Draft. The HTML can be
found here:

There are some significant changes from version 00 which I hope improve the
readability. Thanks especially to Dirk Kutscher for his advice...

I haven't generated a diff because the structure has altered so much that it
would be rather messy...

I think this is ready for Working Group adoption. Do people agree? If so can
we ask the WG Chairs to ask for adoption at the Maastricht meeting?

I accept that there are still issues round the language used in the
Introduction and Abstract. However these require more discussion on the
mailing list and need working-group consensus (which I am not sure exists
yet). That seems to me the sort of thing that should happen after WG
adoption...

Toby

> along any path visible at the Internet Layer.  This document describes 
> example cases where this mechanism would be useful.
> 
> 
> 
> The IETF Secretariat.

---

From: "Toby Moncaster" <[email-masked]>
Date: Tue, 13 Jul 2010 09:43:20 +0100

All,

It does seem as though Bob's email chain has sparked people to think of
further use cases for ConEx (which goes to show what a powerful concept it
is).

When I started this draft I was keen to limit the number of use cases just
to keep a cap on the length of the draft and to give people a better chance
to absorb things. However, a couple of the new use cases people have talked
about do seem sensible and I intend to include them in the next version of
the draft. So, if anyone else has a moment of genius about an alternative
use for ConEx now is the time to send it to the list!

Toby

PS, Once we are a bit further down the line I think we are going to need to
sort the use cases and concentrate on those that can be wholly achieved
within the current constraints of the charter. 

> From: Zhu Lei [mailto:[email-masked]]
> Sent: 13 July 2010 03:02
> To: 'Toby Moncaster'; [email-masked]
> Subject: Re: [conex] FW: New Version Notification fordraft-moncaster-
> conex-concepts-uses-01
> 
>  Hi Toby and all,
> 
> describes

---

From: Matthew Ford <[email-masked]>
Date: Tue, 13 Jul 2010 12:31:59 +0100

> I haven't generated a diff because the structure has altered so much that it would be rather messy...

Note that diffs are always available from: http://tools.ietf.org/rfcdiff

Mat

---

From: John Leslie <[email-masked]>
Date: Tue, 13 Jul 2010 09:32:45 -0400

> Note that diffs are always available from: http://tools.ietf.org/rfcdiff

   Indeed -- I find it helpful, even if messy...

   Toby has really been working at this, as is obvious from
] 
] 887 lines changed or added

(The rest of us have been hard-put to keep up!)

   There will not, of course, be another version before Monday of
Maastricht week, but I expect Toby to work on more use cases, and with
some luck a rewritten Introduction that both Bob & I consent to. ;^)

   _If_ a new version is published July 26th, I will insist on a diff
being published as well.

   I believe Marcelo is tending towards putting the question of adoption
as a work item Tuesday, July 27th. It would be helpful for folks to
weigh in on whether they prefer to have a -02 version before that
question is put.

   For myself, I'd just as soon not... Folks (especially IESG members)
will be hard-put to find time to read a newer version before Tuesday
morning.

   Regardless of which version is proposed for a work item, IMHO, any
changes would have to be agreed to on the list.

   And, of course, after adoption Toby (or whoever the WGCs designate
as Document Editor) will be taking input from the list for revisions
before it is submitted to the IESG (and the other authors will be
just another WG participant, no longer capable of blocking changes).

--
John Leslie <[email-masked]>